[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.SetAction

Sets the value for the Action property.

## Declaration

Source position: controls.pp line 1516

`protected procedure TControl.SetAction(`
`Value: TBasicAction`
`); virtual;`

## Arguments

`Value` |  | New value for the Action property.

## Description

Ensures that ActionLink is updated when the value for the property is updated.

When Value is unassigned (Nil), ActionLink is freed and set to Nil. The control style flags are also updated to remove the value csActionClient. Otherwise, a new ActionLink class instance is created for ActionLink and Value is assigned to its Action property. Its OnChange handler is assigned, and the ActionChange method is called to apply values from the action to the control.

## See also

TControl.Action |  | The Action associated with the control.